Name: exo
Version: 0.3.101
Release: alt1

Summary: Extension library to XFce
Summary (ru): Библиотека расширений Xfce
License: LGPL
Group: System/Libraries
Url: http://www.xfce.org
Packager: Denis Koryavov <dkoryavov@altlinux.org>

Source: http://download.berlios.de/xfce-goodies/%name-%version.tar.bz2
Source1: libexo.ver

Patch: alt-exo-iocharset.patch
Patch2: exo-0.3.2-alt-eject.patch
Patch3: exo-0.3.2-alt-noatime.patch
Patch4: exo-0.3.2-alt-translation.patch
Patch5: exo-0.3.4-alt-version-script.patch

BuildPreReq: rpm-build-xfce4  xfce4-dev-tools > 4.5 libxfce4util-devel > 4.5
# Automatically added by buildreq on Thu Jan 22 2009
BuildRequires: gcc-c++ gtk-doc intltool libhal-devel libnotify-devel perl-URI python-module-pygtk-devel time

%description
Libexo is an extension library to XFce, developed by os-cillation.
While XFce comes with a quite few libraries that are targeted at desktop
development, libexo is targeted at application development.

%description -l ru
Libexo - библиотека расширений Xfce предназначенная для использования в
приложениях разрабатываемых под Xfce.

%package -n lib%name
Summary: exo shared library
Group: System/Libraries
Requires: libgtk+2-common libxfce4util > 4.5

%description -n lib%name
This package contains shared library required for packaging
lib%name-based software.

%package -n lib%name-devel
Summary: Development files for lib%name
Group: Development/C
PreReq: lib%name = %version-%release  libxfce4util-devel > 4.5

%description -n lib%name-devel
This package contains development files required for packaging
lib%name-based software.

%package -n lib%name-devel-doc
Summary: Documentation files for lib%name
Group: Development/Documentation
PreReq: lib%name-devel = %version-%release

%description -n lib%name-devel-doc
This package contains documentation files required for packaging
lib%name-based software.

%package -n python-module-exo
Summary: exo python bindings
Group: Development/Python
PreReq: lib%name

%description -n python-module-exo
exo python bindings

%prep
%setup
%patch -p1
%patch2 -p2
%patch3 -p2
#%patch4 -p2
%patch5 -p2

cp %SOURCE1 exo/

%build
%xfce4reconf
%configure \
	--enable-hal \
	--enable-gtk-doc \
	--enable-python \
	--enable-xsltproc \
	--enable-xml2po \
	--enable-notifications \
	--enable-debug=no
%make_build

%install
%makeinstall_std

%find_lang lib%name-0.3

%files -n lib%name -f lib%name-0.3.lang
%doc AUTHORS ChangeLog NEWS TODO HACKING README
#%doc %_datadir/gtk-doc/html/%name
%_bindir/*
%_libdir/*.so.*
%dir %_datadir/xfce4/helpers
%_datadir/xfce4/helpers/*
%_sysconfdir/xdg/*
%_libexecdir/exo-compose-mail-*
%_libexecdir/exo-helper-*
%_libexecdir/exo-mount-notify-*
%_datadir/xfce4/doc/*
%_man1dir/*
%_desktopdir/*
%_liconsdir/*
%_iconsdir/hicolor/*/*/*.png

%_pixmapsdir/%name-0.3/*
#%_libdir/xfce4/mcs-plugins/exo-preferred-applications-settings.so
#%exclude %_libdir/xfce4/mcs-plugins/exo-preferred-applications-settings.*a
#%exclude %_iconsdir/hicolor/icon-theme.cache

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%exclude %_libdir/*.a
%_pkgconfigdir/*

%files -n lib%name-devel-doc
%dir %_datadir/gtk-doc/html/exo
%_datadir/gtk-doc/html/exo/*

%files -n python-module-exo
%_libdir/python%__python_version/site-packages/*
%_datadir/pygtk/2.0/defs/exo-0.3/exo.defs

%changelog
* Mon Apr 20 2009 Denis Koryavov <dkoryavov@altlinux.org> 0.3.101-alt1
Xfce 4.6.1

* Sun Apr 12 2009 Denis Koryavov <dkoryavov@altlinux.org> 0.3.100-alt1
Xfce 4.6.0

* Tue Jan 27 2009 Eugene Ostapets <eostapets@altlinux.ru> 0.3.99.1-alt1
- Xfce 4.6rc1

* Thu Jan 22 2009 Eugene Ostapets <eostapets@altlinux.ru> 0.3.93-alt1
- Xfce 4.6 beta 3

* Fri Oct 24 2008 Eugene Ostapets <eostapets@altlinux.org> 0.3.91-alt1
- Xfce 4.6 beta1

* Fri Jan 25 2008 Grigory Batalov <bga@altlinux.ru> 0.3.4-alt2.1
- Rebuilt with python-2.5.

* Wed Dec 12 2007 Alex V. Myltsev <avm@altlinux.ru> 0.3.4-alt2
- restore lost changes (now as patches)
- pull Russian translation from SVN
- create version script for libexo (new symbol added)

* Mon Dec 10 2007 Eugene Ostapets <eostapets@altlinux.org> 0.3.4-alt1
- Xfce 4.4.2 release

* Wed Nov 21 2007 Alex V. Myltsev <avm@altlinux.ru> 0.3.2-alt6
- Russian translation fixes

* Mon Oct 29 2007 Alex V. Myltsev <avm@altlinux.ru> 0.3.2-alt5
- use 'noatime' if allowed by HAL
- enable mount notifications through libnotify

* Wed Sep 12 2007 Alex V. Myltsev <avm@altlinux.ru> 0.3.2-alt4
- fix #12702: pushing eject on the disc drive should now work.

* Tue Jun 19 2007 Eugene Ostapets <eostapets@altlinux.ru> 0.3.2-alt3
- try fix 11176

* Sun Jun 17 2007 Eugene Ostapets <eostapets@altlinux.ru> 0.3.2-alt2
- fix 12005

* Fri Mar 16 2007 Eugene Ostapets <eostapets@altlinux.ru> 0.3.2-alt1
- add requires for hal

* Mon Jan 22 2007 Eugene Ostapets <eostapets@altlinux.ru> 0.3.2-alt0.1
- Xfce 4.4 release

* Sun Nov 05 2006 Eugene Ostapets <eostapets@altlinux.ru> 0.3.1.12-alt1
- Xfce 4.4rc2

* Mon Oct 30 2006 Eugene Ostapets <eostapets@altlinux.ru>  0.3.1.10rc1-alt2
- Fix buildreq and cleanup spec

* Sat Sep 30 2006 Eugene Ostapets <eostapets@altlinux.ru> 0.3.1.10rc1-alt1
- Xfce 4.4rc1

* Wed Oct 12 2005 Eugene Ostapets <eostapets@altlinux.ru> 0.3.0-alt2
- fix macro

* Sun Mar 20 2005 Andrey Astafiev <andrei@altlinux.ru> 0.3.0-alt1
- 0.3.0

* Sat Dec 25 2004 Andrey Astafiev <andrei@altlinux.ru> 0.2.0-alt1
- First version of RPM package for Sisyphus.
